## org.eclipse.emf.query.conditions.eobjects
Interface IEObjectSource

All Known Subinterfaces:
  IQueryResult

All Known Implementing Classes:
  EObjectSource, org.eclipse.emf.query.internal.statements.QueryStatement, SELECT, UPDATE

    public interface IEObjectSource

An interface the represents an `EObject` source/supplier. These EObjects are to be used in queries and subjected to evaluation by EObjectCondition. Primarily used to abstract away the identity of source of the EObjects used in queries.

Method Summary
`Set<? extends EObject>` `getEObjects()` A getter for the EObjects supplied by this `IEObjectSource`

Method Detail

### getEObjects

    Set<? extends EObject> getEObjects()

  A getter for the EObjects supplied by this `IEObjectSource`

  Returns:
    Set The set of EObjects this `IEObjectSource` furnishes

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.